in scala.collection.immutable
object ImmutableIterator

`object` ImmutableIterator
  `extends` java.lang.Object
  `with` scala.ScalaObject

  An object for creating immutable iterators.

Class Summary
`case` `private` | `class` NonEmpty [+A]

Object Summary
`case` | `object` Empty

Constructor Summary
| `def` this

Def Summary
| `def` apply [A] (item: A) : scala.collection.immutable.ImmutableIterator[A] Creates an immutable iterator with one element.
| `def` apply [A] (item: A, right: () => scala.collection.immutable.ImmutableIterator[A]) : () => scala.collection.immutable.ImmutableIterator[A] Prepends a lazy immutable iterator (right) with an element (item).
| `def` apply [A] (left: () => scala.collection.immutable.ImmutableIterator[A], right: () => scala.collection.immutable.ImmutableIterator[A]) : () => scala.collection.immutable.ImmutableIterator[A] Concats a lazy immutable iterator (left) with another lazy immutable iterator (right).
| `def` apply [A] (left: scala.collection.immutable.ImmutableIterator[A], item: A, right: () => scala.collection.immutable.ImmutableIterator[A]) : scala.collection.immutable.ImmutableIterator[A] Appends an immutable iterator (left) with an element (item) followed by a lazy immutable iterator (right).
| `def` empty : scala.collection.immutable.ImmutableIterator[scala.Nothing] Creates an empty immutable iterator.

Constructor Detail

`def` this

Def Detail

`def` apply [A](item: A): scala.collection.immutable.ImmutableIterator[A]

  Creates an immutable iterator with one element.

`def` apply [A](item: A, right: () => scala.collection.immutable.ImmutableIterator[A]): () => scala.collection.immutable.ImmutableIterator[A]

  Prepends a lazy immutable iterator (right) with an element (item).

`def` apply [A](left: () => scala.collection.immutable.ImmutableIterator[A], right: () => scala.collection.immutable.ImmutableIterator[A]): () => scala.collection.immutable.ImmutableIterator[A]

  Concats a lazy immutable iterator (left) with another lazy immutable iterator (right).

`def` apply [A](left: scala.collection.immutable.ImmutableIterator[A], item: A, right: () => scala.collection.immutable.ImmutableIterator[A]): scala.collection.immutable.ImmutableIterator[A]

  Appends an immutable iterator (left) with an element (item) followed by a lazy immutable iterator (right).

`def` empty : scala.collection.immutable.ImmutableIterator[scala.Nothing]

  Creates an empty immutable iterator.